"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notifier = void 0;
const tslib_1 = require("tslib");
const tsyringe_1 = require("tsyringe");
const undici_1 = require("undici");
const logger_1 = require("./logger");
const error_1 = require("../domain/error");
let Notifier = class Notifier {
    constructor(logger) {
        this.logger = logger;
    }
    async publishOnSlack(slackUrl, message) {
        try {
            await undici_1.request(slackUrl, {
                method: 'POST',
                body: JSON.stringify({ text: message }, null, 2),
            });
        }
        catch (error) {
            this.logger.error('Error publishing on Slack');
            error_1.handleError(error, this.logger.error);
        }
    }
};
Notifier = tslib_1.__decorate([
    tsyringe_1.injectable(),
    tslib_1.__param(0, tsyringe_1.inject(logger_1.Logger)),
    tslib_1.__metadata("design:paramtypes", [logger_1.Logger])
], Notifier);
exports.Notifier = Notifier;
//# sourceMappingURL=notifier.js.map