import { UseCase } from '../../../core/domain/use-case';
import { GenerateReportForProjectsInDirectoryInput } from './generate-report-for-projects-in-directory.case';
import { GitReport } from '../../domain/git-report';
import { GitReportRepository } from '../git-report.repository';
import { GitReportPrinter } from '../../infrastructure/cli/git-report.printer';
export declare class GenerateAnonymizeReportForProjectsInDirectoryUseCase implements UseCase<GenerateReportForProjectsInDirectoryInput, Promise<GitReport>> {
    private repository;
    private readonly printer;
    constructor(repository: GitReportRepository, printer: GitReportPrinter);
    exec({ directoryPath, weeks, }: GenerateReportForProjectsInDirectoryInput): Promise<GitReport>;
}
