"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenerateAnonymizeReportForProjectsInDirectoryUseCase = void 0;
const tslib_1 = require("tslib");
const tsyringe_1 = require("tsyringe");
const generate_anonymize_report_case_1 = require("./generate-anonymize-report.case");
const git_report_implementation_repository_1 = require("../../infrastructure/git-report.implementation.repository");
const git_report_printer_1 = require("../../infrastructure/cli/git-report.printer");
let GenerateAnonymizeReportForProjectsInDirectoryUseCase = class GenerateAnonymizeReportForProjectsInDirectoryUseCase {
    constructor(repository, printer) {
        this.repository = repository;
        this.printer = printer;
    }
    async exec({ directoryPath, weeks, }) {
        const projectsPaths = await this.repository.readGitProjects(directoryPath);
        return new generate_anonymize_report_case_1.GenerateAnonymizeReportUseCase(this.repository, this.printer).exec({
            projectsPaths,
            weeks,
        });
    }
};
GenerateAnonymizeReportForProjectsInDirectoryUseCase = tslib_1.__decorate([
    tsyringe_1.injectable(),
    tslib_1.__param(0, tsyringe_1.inject(git_report_implementation_repository_1.GitReportImplementationRepository)),
    tslib_1.__param(1, tsyringe_1.inject(git_report_printer_1.GitReportPrinter)),
    tslib_1.__metadata("design:paramtypes", [Object, git_report_printer_1.GitReportPrinter])
], GenerateAnonymizeReportForProjectsInDirectoryUseCase);
exports.GenerateAnonymizeReportForProjectsInDirectoryUseCase = GenerateAnonymizeReportForProjectsInDirectoryUseCase;
//# sourceMappingURL=generate-anonymize-report-for-projects-in-directory.case.js.map