"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenerateAnonymizeReportUseCase = void 0;
const tslib_1 = require("tslib");
const tsyringe_1 = require("tsyringe");
const generate_report_case_1 = require("./generate-report.case");
const git_report_implementation_repository_1 = require("../../infrastructure/git-report.implementation.repository");
const git_report_printer_1 = require("../../infrastructure/cli/git-report.printer");
let GenerateAnonymizeReportUseCase = class GenerateAnonymizeReportUseCase {
    constructor(repository, printer) {
        this.repository = repository;
        this.printer = printer;
    }
    async exec(input) {
        const report = await new generate_report_case_1.GenerateReportUseCase(this.repository, this.printer).exec(input);
        return report.anonymize();
    }
};
GenerateAnonymizeReportUseCase = tslib_1.__decorate([
    tsyringe_1.injectable(),
    tslib_1.__param(0, tsyringe_1.inject(git_report_implementation_repository_1.GitReportImplementationRepository)),
    tslib_1.__param(1, tsyringe_1.inject(git_report_printer_1.GitReportPrinter)),
    tslib_1.__metadata("design:paramtypes", [Object, git_report_printer_1.GitReportPrinter])
], GenerateAnonymizeReportUseCase);
exports.GenerateAnonymizeReportUseCase = GenerateAnonymizeReportUseCase;
//# sourceMappingURL=generate-anonymize-report.case.js.map