"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenerateReportForProjectsInDirectoryUseCase = void 0;
const tslib_1 = require("tslib");
const tsyringe_1 = require("tsyringe");
const generate_report_case_1 = require("./generate-report.case");
const git_report_implementation_repository_1 = require("../../infrastructure/git-report.implementation.repository");
const git_report_printer_1 = require("../../infrastructure/cli/git-report.printer");
let GenerateReportForProjectsInDirectoryUseCase = class GenerateReportForProjectsInDirectoryUseCase {
    constructor(repository, printer) {
        this.repository = repository;
        this.printer = printer;
    }
    async exec({ directoryPath, weeks }) {
        const projectsPaths = await this.repository.readGitProjects(directoryPath);
        return new generate_report_case_1.GenerateReportUseCase(this.repository, this.printer).exec({
            projectsPaths,
            weeks,
        });
    }
};
GenerateReportForProjectsInDirectoryUseCase = tslib_1.__decorate([
    tsyringe_1.injectable(),
    tslib_1.__param(0, tsyringe_1.inject(git_report_implementation_repository_1.GitReportImplementationRepository)),
    tslib_1.__param(1, tsyringe_1.inject(git_report_printer_1.GitReportPrinter)),
    tslib_1.__metadata("design:paramtypes", [Object, git_report_printer_1.GitReportPrinter])
], GenerateReportForProjectsInDirectoryUseCase);
exports.GenerateReportForProjectsInDirectoryUseCase = GenerateReportForProjectsInDirectoryUseCase;
//# sourceMappingURL=generate-report-for-projects-in-directory.case.js.map