import { GitReportRepository } from '../git-report.repository';
import { UseCase } from '../../../core/domain/use-case';
import { GitReport } from '../../domain/git-report';
import { GitReportPrinter } from '../../infrastructure/cli/git-report.printer';
export interface GenerateReportInput {
    /**
     * List of directory paths where the projects to be reported are stored
     */
    readonly projectsPaths: string[];
    /**
     * Amount of last weeks to be reported
     */
    readonly weeks: number;
}
export declare class GenerateReportUseCase implements UseCase<GenerateReportInput, Promise<GitReport>> {
    private repository;
    private readonly printer;
    constructor(repository: GitReportRepository, printer: GitReportPrinter);
    exec({ projectsPaths, weeks }: GenerateReportInput): Promise<GitReport>;
    private generateReports;
}
