import { Notifier } from '../../core/infrastructure/notifier';
import { GitReportPrinter } from './cli/git-report.printer';
interface GitReporterOptions {
    directory: string;
    anonymize: boolean;
    projects: string[];
    slackUrl: string;
    weeks: number;
}
export declare class GitReportController {
    private readonly notifier;
    private readonly printer;
    constructor(notifier: Notifier, printer: GitReportPrinter);
    exec({ directory, anonymize, projects, weeks, slackUrl, }: GitReporterOptions): Promise<void>;
    private executeReportForDirectory;
    private executeReportForMultipleProjects;
    private printAndNotifyReport;
    private notifyReport;
}
export {};
